Page MenuHomePhabricator

Make Dashiki get pageview data from pageview API {melc}
Closed, ResolvedPublic8 Story Points

Description

Right now Dashiki gets pageview data from https://metrics.wmflabs.org/static/public/datafiles/ but it would be easier for everyone involved if it just got it directly from the Pageview API's aggregate endpoint. That data's available daily. We may need to add a date filter on the layout, but that's pretty simple.

Event Timeline

Milimetric raised the priority of this task from to Needs Triage.
Milimetric updated the task description. (Show Details)
Milimetric added a project: Analytics.
Milimetric added subscribers: Milimetric, madhuvishy.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptJan 19 2016, 5:49 PM
Milimetric renamed this task from Make Dashiki get pageview data from pageview API to Make Dashiki get pageview data from pageview API {melc}.Jan 25 2016, 6:22 PM
Milimetric triaged this task as Normal priority.
Milimetric set Security to None.
Milimetric moved this task from Incoming to Analytics Query Service on the Analytics board.
Nuria claimed this task.Jan 28 2016, 5:43 PM
Nuria edited projects, added Analytics-Kanban; removed Analytics.
Nuria moved this task from Next Up to In Progress on the Analytics-Kanban board.Jan 29 2016, 5:16 PM
Milimetric renamed this task from Make Dashiki get pageview data from pageview API {melc} to Make Dashiki get pageview data from pageview API {melc} [8 pts].Feb 8 2016, 5:51 PM
Milimetric renamed this task from Make Dashiki get pageview data from pageview API {melc} [8 pts] to Make Dashiki get pageview data from pageview API {melc}.Feb 22 2016, 9:05 PM
Milimetric set the point value for this task to 8.
Milimetric added a subscriber: Nuria.
Nuria moved this task from Ready to Deploy to Done on the Analytics-Kanban board.Mar 7 2016, 6:59 PM
Nuria closed this task as Resolved.Mar 8 2016, 9:02 PM